Bug 212680 - NetworkManager resume from hibernate unable to see wifi networks
NetworkManager resume from hibernate unable to see wifi networks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 19:30 EDT by rizo83
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:35:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rizo83 2006-10-27 19:30:39 EDT
NetworkManager does not see any wireless networks after resuming from hibernate.
 If I restart NetworkManager itself, "/etc/init.d/NetworkManager restart", the
applet is able to see the available wireless networks.  I'm able to connect and
surf the web as normal.

This happens on both i386 (using i686 kernel) and x86_64.  Wireless card is an
Intel 3945 with use of the modules from atrpms.net
Comment 1 J. Bennett 2006-10-29 07:08:17 EST
Clemson Linux http://www.ces.clemson.edu/linux/suspend_mem.shtml detailed a
script (written under FC4) for NetworkManager to sleep during hibernate. 
Perhaps this should be the default action in Fedora Core?
Comment 2 rizo83 2006-10-30 15:15:49 EST
Tried that script and modified it to use pm-hibernate instead of echoing disk to
/sys/power/state but same results.  Have to restart NetworkManager or recheck
Enable Networking in the applet.
Comment 3 David Schisser 2006-11-10 19:45:11 EST
I have the same problem on my Macbook Pro 15" using Fedora Core 6.  I am able to
get onto the network if I restart the network service and then manually type in
the name of the access point.  However, that seems unreliable and I usually
restart the network first and then both the network manager dispatcher and
network manager daemon, and then I wait a while and it seems to work sometimes.
 Very unscientific, but I have had positive results.
Comment 4 Joe Desbonnet 2006-11-29 11:06:21 EST
Same problem with Thinkpad T41p. As far as I recall it did work (ie would
re-connect after suspend to disk) after FC6 was installed from the distribution
ISOs. But after a few "updates" it stopped working. My fix is to issue "ifconfig
wifi0 up" from the command line.
Comment 5 Adam Huffman 2006-12-18 19:52:01 EST
Re-connecting works for me if I restart the NetworkManager service, on a Vaio SZ3.
Comment 6 Wade Mealing 2007-02-24 03:10:33 EST
Same problem, Black Macbook 15".  FC6.  

I usually get around it by removing the modules, restarting networkmanager
service then restarting the applet.

I've noticed that the dbus-script, mentioned in comment #0, is already present
in /etc/pm/hooks/10NetworkManager, I can't tell but it looks as though its
already being run with no effect.

I'll do a full test with FC7T2 when it comes out.
Comment 7 Nigel Cunningham 2007-06-12 02:46:40 EDT
Any progress on this?
Comment 8 Adam Huffman 2007-06-12 09:05:56 EDT
I have upgraded my laptop to F7 and am unable to suspend or hibernate at the
moment...
Comment 9 Nigel Cunningham 2007-06-18 21:08:14 EDT
Ok. Do we have another bug open for these other issues?
Comment 10 Adam Huffman 2007-06-19 19:27:40 EDT
Yes, https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=236783, though I don't
want to take over this particular report.
Comment 11 Bug Zapper 2008-04-04 00:11:28 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2008-05-06 12:35:14 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.